--
-- $Id$
--
-- Customer specific once-script BLCC#55498.SQL.
-- Contractpartij ARLANXEO Netherlands BV. Universiteit Maastricht. Yparex B.V.. Sitech Site Services B.V.
-- Huygen, Kembit, Mitsui Prime Advanced Composites Europe B.V., OCI Nitrogen, Circular PET Plastic Upcycling B.V.
-- 801 = Rachel Witter, 2401 = Anieke Thomassen

DEFINE thisfile = 'BLCC#57141.SQL'
DEFINE dbuser   = '^BLCC'

SET ECHO ON
SET DEFINE ON
COLUMN fcltlogfile NEW_VALUE fcltlogfile NOPRINT;
WHENEVER SQLERROR EXIT;
SELECT adm.scriptspoolfile('&dbuser', '&thisfile') AS fcltlogfile FROM DUAL;
WHENEVER SQLERROR CONTINUE;
SPOOL &fcltlogfile
SET DEFINE OFF

------ payload begin ------

UPDATE cnt_contract
   SET prs_perslid_key_beh = 801
 WHERE cnt_contract_key IN
             (SELECT cnt_contract_key
                FROM cnt_contract
               WHERE     cnt_contract_looptijd_tot > TRUNC (SYSDATE)
                     AND cnt_contract_verwijder IS NULL
                     AND prs_perslid_key_beh = 2401
                     AND cnt_prs_bedrijf_key IN
                              (11207,
                               11205,
                               11211,
                               151,
                               138,
                               3761,
                               25321,
                               15381,
                               24881));
------ payload end   ------

SET DEFINE OFF
BEGIN adm.systrackscriptId ('$Id$', 1); END;
/

COMMIT;
SET ECHO OFF
SPOOL OFF
SET DEFINE ON
PROMPT Logfile of this upgrade is: &fcltlogfile